/*
 *	J W G . H
 *
 *	purpose:
 *		This is a general purpose include file containing some personal 
 *		definitions, typedefs and macros.
 *
 *	technical notes:
 *		Note that no checks are done to see if any of the definitions were
 *		previously defined.  I prefer to let the compiler tell me about a
 *		redefinition so that I can check the other header files.
 *
 *	modification log:
 *			4/28/88 	John W. Grothman
 *			5/4			jwg - more stuff
 *			8/23		jwg - turned typedefs into defines
 *			5/3/89		jwg - SUCCESS comment
 */

#define uchar		unsigned char
#define ushort		unsigned short
#define uint		unsigned int
#define ulong		unsigned long

#define boolean		int
#define byte		char
#define ubyte		unsigned char

#define Rint		register int
#define Ruint		register unsigned int
#define Rshort		register short
#define Rushort		register unsigned short

#define FAILURE 	1		/* program (exit) return codes */
#define SUCCESS 	0		/* (and some functions) */

#define TRUE		1		/* function return codes */
#define FALSE		0		/*	also used for flags and booleans */

#define YES			1
#define NO			0
